FaureRsg Class Reference

Faure low-discrepancy sequence generator. More...

`#include <ql/math/randomnumbers/faurersg.hpp>`

## Public Types

typedef Sample< std::vector< Real > > | sample_type

## Public Member Functions

| FaureRsg (Size dimensionality)
const std::vector< long int > & | nextIntSequence () const
const std::vector< long int > & | lastIntSequence () const
const sample_type & | nextSequence () const
const sample_type & | lastSequence () const
Size | dimension () const

## Detailed Description

Faure low-discrepancy sequence generator.

It is based on existing Fortran and C algorithms to calculate pascal matrix and gray transforms.

1. E. Thiemard Economic generation of low-discrepancy sequences with a b-ary gray code.
2. Algorithms 659, 647. http://www.netlib.org/toms/647, http://www.netlib.org/toms/659

Tests:
  the correctness of the returned values is tested by reproducing known good values.